commit:     f212b534688f8038dd89e56bdce1a693165085a6
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 19 21:40:37 2023 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Tue Dec 19 21:41:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f212b534

net-misc/proxytunnel: add 1.12.0

Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 net-misc/proxytunnel/Manifest                  |  1 +
 net-misc/proxytunnel/proxytunnel-1.12.0.ebuild | 45 ++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/net-misc/proxytunnel/Manifest b/net-misc/proxytunnel/Manifest
index 82769e032db0..60112e8fb086 100644
--- a/net-misc/proxytunnel/Manifest
+++ b/net-misc/proxytunnel/Manifest
@@ -1 +1,2 @@
 DIST proxytunnel-1.11.1.tar.gz 55935 BLAKE2B 
fb24dcf5351eb252d7ba661c667cab25066592f6b7356360225d1492fcb621a39954062ebeb63c5cc1b9b66499538d69b8412ee6a770c88257f4ef0397f627c0
 SHA512 
2cc59285ca63beb063f3408655f31b2e9748f11cfff70e39b07dc3381348dd92c71a66974e83d360565ea107e53d830a57bc375e940a51388ced406ec5907006
+DIST proxytunnel-1.12.0.tar.gz 57664 BLAKE2B 
3d5090a7f8f38fc928d68222e703913fcaade652c4d3cbf28b68682923c3558a7b3e17f00893a60b0cea4e27af185b50cf1ab52064e5125922c50716d5d9c0b7
 SHA512 
1a448728f49b34a3c6de2a876bfbd57b0f328f9f901db70cf8e6570eef81d2c26a0e0dbdfd566f683cea2d1b4816c01abc7049e5688b0335078034ec3f102b83

diff --git a/net-misc/proxytunnel/proxytunnel-1.12.0.ebuild 
b/net-misc/proxytunnel/proxytunnel-1.12.0.ebuild
new file mode 100644
index 000000000000..abdb6f3ed56f
--- /dev/null
+++ b/net-misc/proxytunnel/proxytunnel-1.12.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic toolchain-funcs
+
+DESCRIPTION="Connect stdin and stdout to a server via an HTTPS proxy"
+HOMEPAGE="https://github.com/proxytunnel/proxytunnel/ 
https://proxytunnel.sourceforge.net/";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="static"
+
+RDEPEND="dev-libs/openssl:="
+DEPEND="${RDEPEND}
+       app-text/asciidoc
+       app-text/xmlto
+       "
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( CHANGES CREDITS INSTALL.md KNOWN_ISSUES LICENSE.txt README.md RELNOTES 
TODO )
+
+if [[ ${PV} == *9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/${PN}/${PN}.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sparc ~x86"
+fi
+
+src_prepare() {
+       default
+       sed -i -e 's/libssl/libssl libcrypto/' Makefile || die "Sed failed!"
+}
+
+src_compile() {
+       use static && append-ldflags -static
+       emake CC="$(tc-getCC)"
+}
+
+src_install() {
+       emake install prefix="${EPREFIX}"/usr DESTDIR="${D}"
+       einstalldocs
+}

Reply via email to